Subject: [Teas] Deborah Brungard's Discuss on draft-ietf-ospf-link-overload-13: (with DISCUSS and COMMENT)

From: Deborah Brungard <[email-masked]>
Date: Tue, 23 Jan 2018 09:01:23 -0800

Deborah Brungard has entered the following ballot position for
draft-ietf-ospf-link-overload-13: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ospf-link-overload/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

This document is defining a MAX-TE-METRIC of 0xfffffffe. But RFC5817 defined
0xffffffff to be used for graceful shutdown. I noted an email exchange between
the author and Acee on this where Acee raised the question why RFC5817's value
was not used. Shraddha replied "We can if we have the Working Group Consensus".
There was no further discussion.

This document was not shared with teas which is responsible for TE (or ccamp
which was originally responsible for RFC5817).

Either this value needs to be changed to RFC5817's value or this TE metric
needs to be removed from this document until agreement with TEAS.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I found the title of section 7.2 "Controller Based Traffic Engineering
Deployments" confusing as it only is describing a controller controlling a
path. It is not "TE" in the IETF sense e.g. TE signaling. It would be much less
confusing if say "Controller Based Deployments" and "satisfying the traffic
engineering constraints"/s/"satisfying the constraints". Especially as for TE,
procedures already do exist.  I noted in the introduction you did reference
RFC5817 MPLS Graceful Shutdown on the procedures when doing a graceful shutdown
of a TE link.

---

From: Alia Atlas <[email-masked]>
Date: Thu, 25 Jan 2018 10:26:25 -0500

Could a look at the changes in draft-ietf-ospf-link-overload-14 happen?

Also, it would be good to get feedback from TEAS on this document and any
concerns.

Thanks,
Alia

---

From: Alia Atlas <[email-masked]>
Date: Thu, 25 Jan 2018 10:30:13 -0500

More specifically, as Deborah pointed out, in RFC 5817 Section 4.1, it says
"Specifically, the node where graceful shutdown of a link is desired
originates the TE LSA or IS-
   IS-LSP containing a Link TLV for the link under graceful shutdown
   with the Traffic Engineering metric set to 0xffffffff, 0 as
   unreserved bandwidth. "

and draft-ietf-ospf-link-overload-14 conflicts with that by using
0xfffffffe instead.

Regards,
Alia

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 25 Jan 2018 15:30:37 +0000

Amazing timing, I have two documents in the IESG telechat today for which I am the primary editor and another for which I am the document shepherd (the one in the subject line). Please be patient.

Thanks
Acee

From: Alia Atlas <[email-masked]>
Date: Thursday, January 25, 2018 at 10:26 AM
To: Deborah Brungard <[email-masked]>
Cc: The IESG <[email-masked]>, OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>, Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>, "TEAS WG ([email-masked])" <[email-masked]>
Subject: Re: Deborah Brungard's Discuss on draft-ietf-ospf-link-overload-13: (with DISCUSS and COMMENT)

Also, it would be good to get feedback from TEAS on this document and any concerns.

Thanks,
Alia

On Tue, Jan 23, 2018 at 12:01 PM, Deborah Brungard <[email-masked]<mailto:[email-masked]>> wrote:
Deborah Brungard has entered the following ballot position for
draft-ietf-ospf-link-overload-13: Discuss

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 25 Jan 2018 15:35:50 +0000

Hi Alia,

Date: Thursday, January 25, 2018 at 10:30 AM

More specifically, as Deborah pointed out, in RFC 5817 Section 4.1, it says
"Specifically, the node where graceful shutdown of a link is desired originates the TE LSA or IS-
   IS-LSP containing a Link TLV for the link under graceful shutdown
   with the Traffic Engineering metric set to 0xffffffff, 0 as
   unreserved bandwidth. "

and draft-ietf-ospf-link-overload-14 conflicts with that by using 0xfffffffe instead.

I’ll defer to Shraddha and the other authors on this one. We did discuss the RFC 5817 inconsistency once already and the intension is that TE interface would still be used as a last resort TE interface.

Thanks,
Acee

Regards,
Alia

On Thu, Jan 25, 2018 at 10:26 AM, Alia Atlas <[email-masked]<mailto:[email-masked]>> wrote:
Could a look at the changes in draft-ietf-ospf-link-overload-14 happen?

Thanks,
Alia

---

From: Shraddha Hegde <[email-masked]>
Date: Tue, 30 Jan 2018 17:20:24 +0000

Hi Deborah/Alia,

Thanks for the comments.
We really need a TE metric that can be used as last resort metric.
RFC 5817 is very clear that 0xffffffff is a last-resort metric.
Probably prior to 5817, there were no clear statements on
The metric 0xffffffff being usable metric and resulted in implementation
Differences.

I do see the conflict with RFC 5817 if this draft sets metric to 0xfffffffe.
I think all the confusion is not really worth.
While deploying feature in this draft operators have to make sure
All the head-ends are behaving correctly with respect to 0xffffffff.

I’ll change the TE metric to 0xffffffff in the next revision.
WG,
Let me know in case of any concern.

Rgds
Shraddha

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Thursday, January 25, 2018 9:06 PM
To: Alia Atlas <[email-masked]>; Deborah Brungard <[email-masked]>
Cc: The IESG <[email-masked]>; OSPF List <[email-masked]>; [email-masked]; [email-masked]; TEAS WG ([email-masked]) <[email-masked]>
Subject: Re: Deborah Brungard's Discuss on draft-ietf-ospf-link-overload-13: (with DISCUSS and COMMENT)

Hi Alia,

From: Alia Atlas <[email-masked]<mailto:[email-masked]>>
Date: Thursday, January 25, 2018 at 10:30 AM
To: Deborah Brungard <[email-masked]<mailto:[email-masked]>>
Cc: The IESG <[email-masked]<mailto:[email-masked]>>, OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "TEAS WG ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Deborah Brungard's Discuss on draft-ietf-ospf-link-overload-13: (with DISCUSS and COMMENT)

Thanks,
Acee

Regards,
Alia

Thanks,
Alia

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_iesg_statement_discuss-2Dcriteria.html&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=NyjLsr7JA7mvpCJa0YmPdVKcmMXJ31bpbBaNqzCNrng&m=HqvwIxIY6w9NAMb9bpYAlqt5wh5HYxoQ3QkWOKcXXCU&s=xuIvfhP39cZHUJrGuga06L6ws5jUz7Qh5bAqTiGFwV4&e=>
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ospf-link-overload/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dospf-2Dlink-2Doverload_&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=NyjLsr7JA7mvpCJa0YmPdVKcmMXJ31bpbBaNqzCNrng&m=HqvwIxIY6w9NAMb9bpYAlqt5wh5HYxoQ3QkWOKcXXCU&s=vOC5CmTSOwCtauM4jMmeswl6tf_g2mYmFi_x07D4sXY&e=>